### Virtual Method

# Ide BuildSystem get_build_flags_for_files_async

#### Declaration

    void
    get_build_flags_for_files_async (
      IdeBuildSystem* self,
      GPtrArray* files,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function will get build flags for all files and returns map of file and its build flags as `GHashTable`.

Available since: | 3.32

#### Parameters

`files` | An array of `None`
| Array of files whose build flags has to be retrieved.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` to cancel getting build flags.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Function to be called after getting build flags.
`user_data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.